{% extends 'forum/threadDetail.html' %}
{% load static %}

{% block new-post %}
    {% if quote %}
        <blockquote class="blockquote mb-0 mt-2">
            <div class="secondary-background">
                <div class="d-flex justify-content-between p-2 pb-0">
                    <img class="start align-self-baseline" src="{% static 'icons/format-quote.svg' %}" alt="quote-icon">
                    <a href="{% url 'new_post' thread.id %}?page={{ page_obj.number }}" type="button" class="btn del-quote p-0">
                        <img src="{% static 'icons/close.svg' %}" width="30" alt="close-icon">
                    </a>
                </div>
                <div class="d-flex fs-6">
                    <p class="ps-5 m-0 primary-text-color">{{ quote.author }}</p><p class="m-0">&nbsp;wrote:</p>
                </div>
                <div class="d-flex">
                    <p class="px-5 m-0 fs-6 text-truncate">{{ quote.message|safe }}</p>
                </div>
                <div class="d-flex justify-content-end p-2">
                    <img src="{% static 'icons/format-quote.svg' %}" alt="quote-icon">
                </div>
            </div>
        </blockquote>
    {% endif %}

    <form class="post-form" method="post" novalidate>
        {% csrf_token %}

        <div class="form-row">
            <div class="form-group col-12">
                <label for="{{ form.message.id_for_label }}" class="form-label"></label>
                {{ form.message }}
            </div>
        </div>

        <div class="form-row d-flex my-2">
            <button type="button" class="btn btn-primary text-editor-btn me-2">TEXT EDITOR</button>
            <button type="submit" class="btn btn-primary create-btn px-3 me-auto">
                {% if paginator.object_list|length|divisibleby:paginator.per_page %}
                    <input type="hidden" name="page" value="{{ paginator.num_pages|add:"1" }}">
                {% else %}
                    <input type="hidden" name="page" value="{{ paginator.num_pages }}">
                {% endif %}
                CREATE POST
            </button>
            <a href="{% url 'thread_detail' thread.pk %}?page={{ page_obj.number }}" class="btn btn-primary cancel-btn px-3">CANCEL</a>
        </div>
    </form>

<script>
    $('.post-form textarea').attr('placeholder', 'Write here your answer ...');
</script>

{% endblock %}